Mark Notification As Read
curl --request PATCH \
--url https://api.thefaithapp.com/v1/notifications/{notificationId}/read \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/notifications/{notificationId}/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/notifications/{notificationId}/read"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.patch(url, headers=headers)
print(response.text){
"status": "Success",
"message": "Notification marked as read"
}Notifications & Bulletins
Mark Notification As Read
Marks a member notification as read.
PATCH
/
v1
/
notifications
/
{notificationId}
/
read
Mark Notification As Read
curl --request PATCH \
--url https://api.thefaithapp.com/v1/notifications/{notificationId}/read \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'const options = {
method: 'PATCH',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.thefaithapp.com/v1/notifications/{notificationId}/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.thefaithapp.com/v1/notifications/{notificationId}/read"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.patch(url, headers=headers)
print(response.text){
"status": "Success",
"message": "Notification marked as read"
}Authorizations
Public client key copied from Developer Access. The member bearer token authenticates the request.
Member access token returned by POST /v1/auth/token.
Path Parameters
Unique identifier of the notification to update.
Example:
"77211025-5c70-4847-81b3-ce242d1f9e77"
Response
Notification marked as read.
The response is of type object.
Was this page helpful?